Subject: Re: git gui: Possible to see which commands are executed?

From: Dirk Süsserott <[email-masked]>
Date: Tue, 20 May 2008 22:12:11 +0200

Shawn O. Pearce schrieb:
> Dirk Ssserott <[email-masked]> wrote:
>   
>> thanks for your patch. Actually I had problems applying it and
>> finally gave up. I'm using the msysGit package which seems quite
>> similar to the cygwin package but not in all cases, apparently.
>>     
>
> Well, msysGit is perhaps on an older version of git-gui.  But
> I had thought they were fairly current and that the section of
> code the patch touches hasn't been modified in a while.  Maybe
> there was an issue with CRLF?
>   
Well, CRLF was one of the issues, but I fixed that with 'dos2unix'. At 
least I tried.
Don't bother. I had some problems with the filenames. git-gui.sh is in my
git-repo (git clone ...), whereas git-gui and git-gui.tcl are in my /bin 
directory.
I didn't know which to patch, tried them all, and copied them around.
As said, don't bother. It's just my stupidness.
>  
>   
>> However, you were right. The trace doesn't show the commands I
>> would use on a regular basis (I couldn't stop you :-)).
>> On the other hand it possibly helps to /understand/ (or at least
>> /see/) what's going on under the hood.
>>
>> For that reason I'd greatly appreciate seeing your patch in some
>> future version of Git. It doesn't do any harm, does it? People
>> that don't like it can simply omit the '--trace' switch.
>>
>> Junio? The list?
>>     
>
> Junio defers almost all git-gui things to me, as I am the current
> maintainer of git-gui.  You are right, it doesn't really hurt to
> include it, and now that it is written, the hard part is already
> done.  I'll apply it to my main git-gui tree and ask Junio to
> include it in a future version of Git.
>   
Great! Sorry, I didn't want to offend you. Wasn't aware that *you* are 
the git-gui maintainer.
Thanks. I'm looking forward to seeing this patch. :-)

    Dirk